package com.inkasso.factoring.settlement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**结算单回款计划
 * @author liutao
 * @date 2021.09.22
 */
@TableName("c_settlement_repayment_plan")
public class SettlementRepaymentPlan extends BaseEntity {
    /**
     * 结算单历史信息表ID
     */
    @TableField("c_settlement_basic_info_id")
    private Long settlementBasicInfoId;
    /**
     *回款金额
     */
    @TableField("repayment_amount")
    public BigDecimal repaymentAmount;
    /**
     * 回款日期
     */
    @TableField("repayment_date")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date repaymentDate;


    public SettlementRepaymentPlan() {
    }

    public Long getSettlementBasicInfoId() {
        return settlementBasicInfoId;
    }

    public void setSettlementBasicInfoId(Long settlementBasicInfoId) {
        this.settlementBasicInfoId = settlementBasicInfoId;
    }

    public BigDecimal getRepaymentAmount() {
        return repaymentAmount;
    }

    public void setRepaymentAmount(BigDecimal repaymentAmount) {
        this.repaymentAmount = repaymentAmount;
    }

    public Date getRepaymentDate() {
        return repaymentDate;
    }

    public void setRepaymentDate(Date repaymentDate) {
        this.repaymentDate = repaymentDate;
    }
}
